/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :
* Device(s)    : BAT32G127
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2022/5/30
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include <stdio.h>
#include "gpio_demo.h"
#include "delay_demo.h"

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/


int main()
{
    uint32_t msCnt;     // count value of 1ms
    //-----------------------------------------------------------------------
    // Systick setting
    //-----------------------------------------------------------------------

    SystemCoreClockUpdate();
    msCnt = SystemCoreClock / 1000;
    SysTick_Config(msCnt);
    delay_init(SystemCoreClock);
//-----------------------------------------------------------------------
// Vector Table in SRAM region
//-----------------------------------------------------------------------
#if 1
	__disable_irq();
	SCB->VTOR = 0x20000200;
	__DMB();	
	__enable_irq();
#endif
    Led_Init();

	
    while (1)
    {
        delayMS(250);
        LED_Toggle;
    }

}



