/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :
* Device(s)    : BAT32G127
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2022/5/30
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/

#include "lcd_demo.h"
#include "lcd_user.h"
#include "rtc_demo.h"


/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
extern  uint32_t g_ticks;
unsigned char disp_buf[8] = {8, 8, 8, 8, 8, 8, 8, 8,};

void delayMS(uint32_t n)
{
		g_ticks = n;
		while(g_ticks);
}

int main()
{
	uint32_t msCnt;     // count value of 1ms
	//-----------------------------------------------------------------------
	// Systick setting
	//-----------------------------------------------------------------------
	SystemCoreClockUpdate();
	msCnt = SystemCoreClock / 1000;
	SysTick_Config(msCnt);

/*initial RTC*/
	Rtc_Init();
/*initial LCD*/
	LCD_Init();

	while(1)
	{
			LCDUserFunc (disp_buf);
		 
			delayMS(100);
			//__WFI();
	}
}


