/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :
* Device(s)    : BAT32G127
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2022/5/30
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include <stdio.h>
#include "uart_demo.h"


/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/


int main()
{
    uint32_t msCnt;     // count value of 1ms
    static unsigned char ledon = 1;
    uint32_t width = 0, tempAdc;
    int i = 0, j = 0;
    //-----------------------------------------------------------------------
    // Systick setting
    //-----------------------------------------------------------------------

    SystemCoreClockUpdate();
    msCnt = SystemCoreClock / 1000;
    SysTick_Config(msCnt);
    Uart0_Init(19200);

    printf("\n");
    printf("PGCRCL = %04X\n", SAF->PGCRCL);
    SAF->CRC0CTL = 0x80;
    __SEV();
    __WFE();
    __WFE();
    printf("PGCRCL = %04X\n", SAF->PGCRCL);

    while (1);

}




